由于循环依赖[无法解析的循环引用] [关闭], 2.6.0 后 Spring Boot 应用程序无法启动


springboot 新增特性,2.6 版本循环依赖会报错,可以通过配置文件开启支持循环依赖。

解决方案

临时解决是恢复 2.5 的行为,在 中设置以下内容
yml

spring: 
  main:
    allow-circular-references: true

properties

spring.main.allow-circular-references=true

声明:纯情阿丁|版权所有,违者必究|如未注明,均为原创|本网站采用BY-NC-SA协议进行授权

转载:转载请注明原文链接 - 由于循环依赖[无法解析的循环引用] [关闭], 2.6.0 后 Spring Boot 应用程序无法启动


阿丁在Coding,等你成为我的朋友!